%define name audacious-plugins
%define version 1.4.5
%define svn 0
%define pre 0
%define rel 2
%if %pre
%if %svn
%define release	%mkrel 0.%pre.%svn.%rel
%define fname %name-%svn
%else
%define release		%mkrel 0.%pre.%rel
%define fname %name-%version-%pre
%endif
%else
%define fname %name-%version
%define release %mkrel %rel
%endif
%define build_plf 0
%{?_with_plf: %{expand: %%global build_plf 1}}
%if %build_plf
%define distsuffix plf
%endif
%define audacious %epoch:1.4.1

%define build_arts 1

Summary:	Audacious Media Player core plugins
Name:		%name
Version:	%version
Release:	%release
Epoch:		5
Source0:	http://audacious-media-player.org/release/%fname.tbz2
#gw support the new gnome multimedia keys API
Patch: audacious-plugins-1.4.5-new-mmkeys-api.patch
License:	GPLv2+
Group:		Sound
Url:		http://audacious-media-player.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	audacious >= %audacious
BuildRequires:	libaudacious-devel >= %audacious
BuildRequires:	alsa-lib-devel >= 1.0.0
BuildRequires:	oggvorbis-devel
BuildRequires:	libglade2.0-devel
#gw crossfade
BuildRequires:	libsamplerate-devel
BuildRequires:	libmodplug-devel
BuildRequires:	libmms-devel
BuildRequires:  liblirc-devel
BuildRequires:	gtk2-devel >= 2.6.0
BuildRequires:  libmesaglut-devel
BuildRequires:  libxcomposite-devel
BuildRequires:  SDL-devel
BuildRequires:  libsndfile-devel
BuildRequires:  libjack-devel
BuildRequires:  libmpcdec-devel
BuildRequires:  taglib-devel
BuildRequires:  libmad-devel
BuildRequires:  libmusicbrainz-devel
BuildRequires:  libbinio-devel
BuildRequires:  libcurl-devel >= 7.9.7
BuildRequires:  libneon-devel >= 0.26
BuildRequires:  libfluidsynth-devel
BuildRequires:  libwavpack-devel
BuildRequires:  libprojectm-devel >= 1.0
BuildRequires:  libmtp-devel
BuildRequires:  libflac-devel
BuildRequires:  libcddb-devel
BuildRequires:  libcdio-devel
BuildRequires:  libimlib2-devel
Provides:	beep-media-player-libvisual beep-media-player-lirc audacious-modplug beep-media-player-scrobbler audacious-scrobbler
Obsoletes:	beep-media-player-libvisual beep-media-player-lirc audacious-modplug beep-media-player-scrobbler audacious-scrobbler
%if %build_plf
BuildRequires: liblame-devel
Provides:beep-media-player-mp4 audacious-extra-plugins
Obsoletes:beep-media-player-mp4 audacious-extra-plugins
%endif
#gw make sure the broken plugin is removed
Obsoletes: audacious-timidity

%description
Audacious is a media player based on the BMP music playing application.
Its primary goals are usability and usage of current desktop standards.

This contains the basic plugin distribution. Audacious is useless
without them.

%if %build_plf
This package is in PLF as it violates some patents.
%endif

%package -n audacious-esd
Summary:	ESound output backend
Group:		Sound
BuildRequires:	esound-devel
Requires:	audacious
Requires:	esound >= 0.2.14
Provides: beep-media-player-esd
Obsoletes: beep-media-player-esd
Epoch: %epoch

%description  -n audacious-esd
Output plugin for Audacious media player for use with the esound package

%package  -n audacious-musepack
Group: Sound
Summary:  Musepack input plugin for Audacious
Requires: audacious
Epoch: %epoch

%description  -n audacious-musepack
This is a Musepack input plugin for Audacious based on libmpcdec.


%package  -n audacious-wavpack
Group: Sound
Summary:  Wavpack input plugin for Audacious
Requires: audacious
Epoch: %epoch

%description  -n audacious-wavpack
This is a wavpack input plugin for Audacious based on libwavpack.

%package  -n audacious-jack
Group: Sound
Summary:Audacious output plugin for the jack sound server
Epoch: %epoch
Requires: audacious

%description  -n audacious-jack
Audacious audio output plugin for the jack audio
server(http://jackit.sourceforge.net).


%package  -n audacious-pulse
Group: Sound
Summary:Audacious output plugin for the Pulseaudio sound server
Epoch: %epoch
Requires: audacious
BuildRequires: libpulseaudio-devel

%description  -n audacious-pulse
Audacious audio output plugin for the pulseaudio
server.

%package  -n audacious-adplug
Summary: AdLib player plugin for audacious
Group: Sound
Requires: audacious
Epoch: %epoch

%description  -n audacious-adplug
AdPlug is an Audacious input plugin It uses the AdPlug AdLib sound
player library to play back a wide range of AdLib (OPL2) music file
formats on top of an OPL2 emulator.  No OPL2 chip is required for
playback.


%package  -n audacious-fluidsynth
Summary: Fluidsynth MIDI plugin for audacious
Group: Sound
Requires: audacious
Epoch: %epoch

%description  -n audacious-fluidsynth
FluidSynth is a real-time software synthesizer based on the SoundFont 2
specifications. It is a "software synthesizer". FluidSynth can read MIDI
events from the MIDI input device and render them to the audio device.

This is a fluidsynth backend for the Audacious Media Player to support the
playback of MIDI files with the fluidsynth engine.

%package  -n audacious-sid
Group: Sound
Summary: Audacious input plugin for C64 SID files
BuildRequires: sidplay-devel
BuildRequires: sidplay2-devel
Provides: beep-media-player-sid
Obsoletes: beep-media-player-sid
Epoch: %epoch
Requires: audacious

%description  -n audacious-sid
Audacious-SID is a plugin for the Audacious Media Player which provides
support for playing the so-called "SID tunes", which are music
from old Commodore computer programs like games, demos, etc.

For the actual playing, it uses the excellent libsidplay (1|2)
emulator engine that emulates 6510 CPU and 6581/8580 Sound Interface
Device (SID) chip.

%package  -n audacious-timidity
Group: Sound
Summary: MIDI support for Audacious
Requires: audacious
Epoch: %epoch
#gw for the instruments
Requires: timidity-instruments = 2

%description  -n audacious-timidity
This adds MIDI support to Audacious.

%if %build_arts
%package  -n audacious-arts
Group: Sound
Summary: Arts output plugin for Audacious Media Player
Requires: audacious
BuildRequires: libarts-devel
Provides: beep-media-player-arts
Obsoletes: beep-media-player-arts
Epoch: %epoch

%description  -n audacious-arts
This is a Arts output plugin for Audacious Media Player.
%endif

%package  -n audacious-projectm
Group: Sound
Summary: Visualization for Audacious, based on projectM
Requires: audacious
Epoch: %epoch

%description  -n audacious-projectm
This adds Visualization support to Audacious, based on projectM.

%prep
%if %svn
%setup -q -n %name
%else
%setup -q -n %fname
%endif
%patch -p1
%if %svn
sh ./autogen.sh
%endif

%build
%configure2_5x --enable-amidiplug  --disable-timidity \
%ifarch %ix86
--disable-sse2 \
%endif
%if ! %build_arts
--disable-arts
%endif

%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %buildroot%_includedir/mp4.h
%if !%build_plf
rm -fv %buildroot%_libdir/audacious/Input/aac.so
rm -fv %buildroot%_libdir/audacious/Input/wma.so
%endif

%find_lang %name
%clean
rm -rf %{buildroot}


%files -f %name.lang
%defattr(0644,root,root,0755)
%doc AUTHORS NEWS 
%dir %_libdir/audacious/Input/amidi-plug/
%_libdir/audacious/Input/amidi-plug/ap-alsa.so
%_libdir/audacious/Input/amidi-plug/ap-dummy.so
%dir %{_libdir}/audacious
%dir %{_libdir}/audacious/Container
%{_libdir}/audacious/Container/m3u.so
%{_libdir}/audacious/Container/pls.so
%{_libdir}/audacious/Container/xspf.so
%dir %{_libdir}/audacious/General
%{_libdir}/audacious/General/alarm.so
%{_libdir}/audacious/General/aosd.so
%{_libdir}/audacious/General/evdev-plug.so
%{_libdir}/audacious/General/gnomeshortcuts.so
%{_libdir}/audacious/General/hotkey.so
%{_libdir}/audacious/General/lirc.so
%{_libdir}/audacious/General/mtp_up.so
%{_libdir}/audacious/General/scrobbler.so
%{_libdir}/audacious/General/statusicon.so
%{_libdir}/audacious/General/song_change.so
%dir %{_libdir}/audacious/Input
%{_libdir}/audacious/Input/alac.so
%{_libdir}/audacious/Input/amidi-plug.so
%{_libdir}/audacious/Input/cdaudio-ng.so
%{_libdir}/audacious/Input/console.so
%{_libdir}/audacious/Input/cuesheet.so
%{_libdir}/audacious/Input/flacng.so
%{_libdir}/audacious/Input/madplug.so
%{_libdir}/audacious/Input/metronom.so
%{_libdir}/audacious/Input/modplug.so
%{_libdir}/audacious/Input/tonegen.so
%{_libdir}/audacious/Input/tta.so
%{_libdir}/audacious/Input/vorbis.so
%{_libdir}/audacious/Input/vtx.so
%{_libdir}/audacious/Input/wav.so
#
%{_libdir}/audacious/Input/sexypsf.so
#
%if %build_plf
%_libdir/audacious/Input/aac.so
%_libdir/audacious/Input/wma.so
%endif
%dir %{_libdir}/audacious/Effect/
%{_libdir}/audacious/Effect/audiocompress.so
%{_libdir}/audacious/Effect/echo.so
%{_libdir}/audacious/Effect/ladspa.so
%{_libdir}/audacious/Effect/sndstretch.so
%{_libdir}/audacious/Effect/stereo.so
%{_libdir}/audacious/Effect/voice_removal.so
%dir %{_libdir}/audacious/Output
%{_libdir}/audacious/Output/OSS.so
%{_libdir}/audacious/Output/ALSA.so
%{_libdir}/audacious/Output/filewriter.so
%{_libdir}/audacious/Output/null.so
%dir %{_libdir}/audacious/Transport/
%{_libdir}/audacious/Transport/lastfm.so
%{_libdir}/audacious/Transport/mms.so
%{_libdir}/audacious/Transport/neon.so
%{_libdir}/audacious/Transport/stdio.so
%dir %{_libdir}/audacious/Visualization
%{_libdir}/audacious/Visualization/blur_scope.so
%{_libdir}/audacious/Visualization/paranormal.so
%{_libdir}/audacious/Visualization/rocklight.so
%{_libdir}/audacious/Visualization/rootvis.so
%{_libdir}/audacious/Visualization/spectrum.so
%_datadir/audacious

%files  -n audacious-esd
%defattr(0644,root,root,0755)
%{_libdir}/audacious/Output/ESD.so

%files  -n audacious-musepack
%defattr(0644,root,root,0755)
%{_libdir}/audacious/Input/musepack.so

%files  -n audacious-wavpack
%defattr(0644,root,root,0755)
%{_libdir}/audacious/Input/wavpack.so

%files  -n audacious-jack
%defattr(0644,root,root,0755)
%{_libdir}/audacious/Output/jackout.so

%files  -n audacious-pulse
%defattr(0644,root,root,0755)
%{_libdir}/audacious/Output/pulse_audio.so

%files  -n audacious-sid
%defattr(-,root,root)
%{_libdir}/audacious/Input/sid.so

%files  -n audacious-adplug
%defattr(-,root,root)
%{_libdir}/audacious/Input/adplug.so

%if 0
%files  -n audacious-timidity
%defattr(-,root,root)
%{_libdir}/audacious/Input/timidity.so
%endif

%if %build_arts
%files  -n audacious-arts
%defattr(-,root,root)
%{_libdir}/audacious/Output/arts.so
%_bindir/audacious-arts-helper
%endif

%files  -n audacious-fluidsynth
%defattr(0644,root,root,0755)
%_libdir/audacious/Input/amidi-plug/ap-fluidsynth.so

%files  -n audacious-projectm
%defattr(-,root,root)
%{_libdir}/audacious/Visualization/projectm-1.0.so


%changelog
* Tue Feb 12 2008 Götz Waschk <waschk@mandriva.org> 5:1.4.5-2mdv2008.1
+ Revision: 166263
- support new gnome multimedia keys api

* Fri Feb 01 2008 Götz Waschk <waschk@mandriva.org> 5:1.4.5-1mdv2008.1
+ Revision: 161114
- new version
- obsolete timidity plugin
- disable broken timidity plugin

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Jan 01 2008 Götz Waschk <waschk@mandriva.org> 5:1.4.4-2mdv2008.1
+ Revision: 140181
- rebuild for new libmowgli

* Tue Jan 01 2008 Funda Wang <fundawang@mandriva.org> 5:1.4.4-1mdv2008.1
+ Revision: 139981
- New version 1.4.4

* Mon Dec 31 2007 Götz Waschk <waschk@mandriva.org> 5:1.4.3.2-1mdv2008.1
+ Revision: 139793
- new version

* Sun Dec 30 2007 Götz Waschk <waschk@mandriva.org> 5:1.4.3-1mdv2008.1
+ Revision: 139622
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 06 2007 Götz Waschk <waschk@mandriva.org> 5:1.4.2-1mdv2008.1
+ Revision: 115820
- new version

* Mon Nov 19 2007 Götz Waschk <waschk@mandriva.org> 5:1.4.1-1mdv2008.1
+ Revision: 110219
- new version
- bump deps

* Fri Nov 02 2007 Götz Waschk <waschk@mandriva.org> 5:1.4.0-0.rc1.1mdv2008.1
+ Revision: 105176
- new version

* Mon Oct 29 2007 Götz Waschk <waschk@mandriva.org> 5:1.4.0-0.beta4.1mdv2008.1
+ Revision: 102941
- new version

* Sat Oct 27 2007 Funda Wang <fundawang@mandriva.org> 5:1.4.0-0.beta3.2mdv2008.1
+ Revision: 102624
- Rebuild for new libmtp

* Sat Oct 20 2007 Götz Waschk <waschk@mandriva.org> 5:1.4.0-0.beta3.1mdv2008.1
+ Revision: 100639
- new libprojectM
- new version

* Wed Oct 17 2007 Götz Waschk <waschk@mandriva.org> 5:1.4.0-0.beta1.2mdv2008.1
+ Revision: 99548
- reenable arts plugin

* Mon Oct 15 2007 Götz Waschk <waschk@mandriva.org> 5:1.4.0-0.beta1.1mdv2008.1
+ Revision: 98536
- new version
- update deps
- update file list
- drop patch

* Wed Oct 10 2007 Götz Waschk <waschk@mandriva.org> 4:1.4.0-0.dr4.1mdv2008.1
+ Revision: 96681
- disable arts, it fails on x86_64
- new version
- update buildrequires
- update file list

* Mon Jun 18 2007 Götz Waschk <waschk@mandriva.org> 4:1.3.5-2mdv2008.0
+ Revision: 40836
- disable SSE2

* Fri Jun 08 2007 Götz Waschk <waschk@mandriva.org> 4:1.3.5-1mdv2008.0
+ Revision: 37290
- new version

* Mon May 14 2007 Götz Waschk <waschk@mandriva.org> 4:1.3.4-2mdv2008.0
+ Revision: 26702
- fix buildrequires

* Sun May 06 2007 Götz Waschk <waschk@mandriva.org> 4:1.3.4-1mdv2008.0
+ Revision: 23735
- new version
- update file list

* Fri Apr 20 2007 Guillaume Rousse <guillomovitch@mandriva.org> 4:1.3.3-2mdv2008.0
+ Revision: 15605
- rebuild to fix issue with missing aosd symbol

* Tue Apr 17 2007 Götz Waschk <waschk@mandriva.org> 4:1.3.3-1mdv2008.0
+ Revision: 13643
- new version
- add sndstretch plugin


* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 1.3.1-1mdv2007.1
+ Revision: 141624
- new version

* Sat Mar 03 2007 Götz Waschk <waschk@mandriva.org> 4:1.3.0-2mdv2007.1
+ Revision: 131806
- support building with mp3 encoding plugin (disabled by default)

* Sat Mar 03 2007 Götz Waschk <waschk@mandriva.org> 4:1.3.0-1mdv2007.1
+ Revision: 131804
- new version
- add vtx plugin
- drop merged patches

* Fri Mar 02 2007 Götz Waschk <waschk@mandriva.org> 4:1.3.0-0.rc2.3mdv2007.1
+ Revision: 130939
- fix crash with invalid Ogg tags
- really revert all changes from r126744
- fix bad checkin
- svn snapshot 1587
- drop merged patch 0

  + Thierry Vignaud <tvignaud@mandriva.com>
    - no need to package big ChangeLog when NEWS is already there

* Tue Feb 27 2007 Götz Waschk <waschk@mandriva.org> 4:1.3.0-0.rc2.2mdv2007.1
+ Revision: 126716
- fix crash in scrobbler plugin wih an empty playlist
- fix buildrequires, flac is now bundled
- fix deps

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 4:1.3.0-0.rc2.1mdv2007.1
+ Revision: 125918
- new version

* Fri Feb 23 2007 Götz Waschk <waschk@mandriva.org> 4:1.2.5-4mdv2007.1
+ Revision: 124948
- rebuild for new libmpcdec

* Fri Feb 16 2007 Götz Waschk <waschk@mandriva.org> 4:1.2.5-3mdv2007.1
+ Revision: 121606
- back to stable
- build with flac 1.1.4

* Mon Feb 12 2007 Götz Waschk <waschk@mandriva.org> 3:1.3.0-0.alpha4.3mdv2007.1
+ Revision: 119898
- fix crash on exit in aosd

* Wed Feb 07 2007 Götz Waschk <waschk@mandriva.org> 3:1.3.0-0.alpha4.2mdv2007.1
+ Revision: 117281
- fix crash in vorbis plugin (bug #28603)

* Tue Feb 06 2007 Götz Waschk <waschk@mandriva.org> 3:1.3.0-0.alpha4.1mdv2007.1
+ Revision: 116646
- new version
- bump deps
- add aosd plugin

* Fri Jan 26 2007 Götz Waschk <waschk@mandriva.org> 3:1.3.0-0.alpha3.2mdv2007.1
+ Revision: 114045
- add a projectM plugin

* Fri Jan 26 2007 Götz Waschk <waschk@mandriva.org> 3:1.3.0-0.alpha3.1mdv2007.1
+ Revision: 113716
- new version
- bump deps
- update build requires
- add new plugins

* Mon Jan 08 2007 Götz Waschk <waschk@mandriva.org> 3:1.3.0-0.alpha2.1mdv2007.1
+ Revision: 105463
- new version
- update file list
- bump deps

* Sat Dec 30 2006 Götz Waschk <waschk@mandriva.org> 3:1.2.5-3mdv2007.1
+ Revision: 102774
- rebuild for new wavpack
- rebuild

* Mon Dec 11 2006 Götz Waschk <waschk@mandriva.org> 3:1.2.5-2mdv2007.1
+ Revision: 95047
- rebuild
- merge extra-plugins package in main one

* Fri Nov 24 2006 Götz Waschk <waschk@mandriva.org> 3:1.2.5-1mdv2007.1
+ Revision: 86929
- new version
- add wavpack and other new plugins
- remove notify
- rebuild for new libaudacious

* Fri Oct 27 2006 Götz Waschk <waschk@mandriva.org> 3:1.2.2-1mdv2007.1
+ Revision: 73016
- new version
- fix file list
- fix description

* Sat Oct 14 2006 Götz Waschk <waschk@mandriva.org> 3:1.2.1-1mdv2007.1
+ Revision: 64487
- new version
- add new files
- unpack patch
- fix buildrequires
- Import audacious-plugins

* Mon Oct 09 2006 Götz Waschk <waschk@mandriva.org> 1.2.0-1mdv2007.1
- initial package

* Sat Aug 26 2006 GÃ¶tz Waschk <waschk@mandriva.org> 3:1.1.2-1mdv2007.0
- New release 1.1.2

* Mon Jul 24 2006 Götz Waschk <waschk@mandriva.org> 1.1.1-1mdv2007.0
- drop rpaths
- drop patch 4
- fix source URL
- New release 1.1.1

* Thu Jul 13 2006 Götz Waschk <waschk@mandriva.org> 1.1.0-3mdv2007.0
- move fluidsynth backend to subpackage

* Thu Jul 13 2006 Götz Waschk <waschk@mandriva.org> 1.1.0-2mdv2007.0
- move amidi to the right directory

* Wed Jul 12 2006 Götz Waschk <waschk@mandriva.org> 1.1.0-1mdv2007.0
- add new files
- drop old provides
- new major
- new version

* Mon Jul 10 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.1.0-0.dr2.4mdv2007.0
- fix menu entry

* Tue Jul 04 2006 Götz Waschk <waschk@mandriva.org> 1.1.0-0.dr2.3mdv2007.0
- xdg menu

* Tue Jun 13 2006 Götz Waschk <waschk@mandriva.org> 1.1.0-0.dr2.2mdv2007.0
- fix patch 2

* Tue Jun 13 2006 Götz Waschk <waschk@mandriva.org> 1.1.0-0.dr2.1mdv2007.0
- update patch 2
- new version

* Wed May 24 2006 Götz Waschk <waschk@mandriva.org> 1.1.0-0.dr1.2mdk
- fix buildrequires

* Tue May 23 2006 Götz Waschk <waschk@mandriva.org> 1.1.0-0.dr1.1mdk
- fix buildrequires
- new version

* Tue Apr 18 2006 Götz Waschk <waschk@mandriva.org> 1.0.0-1mdk
- update file list
- drop patch 0
- New release 1.0.0

* Mon Apr 17 2006 Götz Waschk <waschk@mandriva.org> 0.2.4-1mdk
- patch to fix build
- New release 0.2.4

* Tue Mar 28 2006 Götz Waschk <waschk@mandriva.org> 0.2.3-1mdk
- add arts and voice removal plugins
- rediff patches 2,3
- readd disk writer
- New release 0.2.3

* Mon Mar 06 2006 Götz Waschk <waschk@mandriva.org> 0.2.2-2mdk
- don't obsolete the crossfade plugin anymore

* Mon Mar 06 2006 Götz Waschk <waschk@mandriva.org> 0.2.2-1mdk
- obsolete scrobbler plugin
- drop obsolete plugins
- rediff patch 2
- New release 0.2.2

* Fri Feb 03 2006 Götz Waschk <waschk@mandriva.org> 0.2-2mdk
- add epochs
- bump deps
- 0.2 final

* Fri Jan 27 2006 Götz Waschk <waschk@mandriva.org> 0.2.0-0.555.2mdk
- enable new ALSA MIDI plugin

* Fri Jan 27 2006 Götz Waschk <waschk@mandriva.org> 0.2.0-0.555.1mdk
- update patch 2
- new snapshot

* Tue Jan 24 2006 Götz Waschk <waschk@mandriva.org> 0.2.0-0.518.1mdk
- fix buildrequires
- new snapshot

* Mon Jan 23 2006 Götz Waschk <waschk@mandriva.org> 0.2.0-0.514.1mdk
- new snapshot

* Wed Jan 18 2006 Götz Waschk <waschk@mandriva.org> 0.2.0-0.492.1mdk
- fix buildrequires
- new snapshot

* Tue Jan 17 2006 Götz Waschk <waschk@mandriva.org> 0.2.0-0.485.1mdk
- fix buildrequires
- new snapshot

* Mon Jan 16 2006 Götz Waschk <waschk@mandriva.org> 0.2.0-0.472.1mdk
- upate file list
- add new plugins
- drop source 1
- new snapshot

* Wed Jan 04 2006 Götz Waschk <waschk@mandriva.org> 0.1.2-5mdk
- add icon fresh from svn

* Wed Dec 28 2005 Götz Waschk <waschk@mandriva.org> 0.1.2-4mdk
- fix buildrequires

* Tue Dec 27 2005 Götz Waschk <waschk@mandriva.org> 0.1.2-3mdk
- drop patch 4

* Mon Dec 12 2005 Götz Waschk <waschk@mandriva.org> 0.1.2-2mdk
- obsolete modplug plugin as well

* Mon Dec 12 2005 Götz Waschk <waschk@mandriva.org> 0.1.2-1mdk
- fix buildrequires
- provide and obsolete the crossfade and sid plugins
- New release 0.1.2

* Thu Dec 08 2005 Götz Waschk <waschk@mandriva.org> 0.1.1-7mdk
- add flac to the supported mime types
- fix buildrequires

* Fri Dec 02 2005 Götz Waschk <waschk@mandriva.org> 0.1.1-5mdk
- obsolete bmp

* Thu Dec 01 2005 Götz Waschk <waschk@mandriva.org> 0.1.1-4mdk
- buildrequires

* Thu Dec 01 2005 Götz Waschk <waschk@mandriva.org> 0.1.1-3mdk
- fix build on x86_64

* Thu Dec 01 2005 Götz Waschk <waschk@mandriva.org> 0.1.1-2mdk
- initial package

* Wed Nov 30 2005 Götz Waschk <waschk@mandriva.org> 0.9.7.1-2mdk
- add crossfade fix

* Wed Nov 02 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.9.7.1-1mdk
- new release (at least) (the last one before switching to bmpx)

* Mon Aug 29 2005 Eskild Hustvedt <eskild@mandriva.org> 0.9.7.1-0.20050828cvs1mdk
- New CVS snapshot
- Temporarily drop the ipv6 patch (p3)

* Thu Aug 25 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.9.7.1-0.20050815cvs3mdk
- rebuild with new gtk+
- add buildrequires

* Wed Aug 17 2005 Michael Scherer <misc@mandriva.org> 2:0.9.7.1-0.20050815cvs2mdk
- enhance and rename patch3, now with mp3 support ( with pterjan fix inside )

* Tue Aug 16 2005 Michael Scherer <misc@mandriva.org> 2:0.9.7.1-0.20050815cvs1mdk
- new cvs snapshot ( Eskild Hustvedt )
- ipv6 for vorbis ( patch 3 )

* Thu Aug 11 2005 Eskild Hustvedt <eskild@mandriva.org> 0.9.7.1-0.20050810cvs1mdk
- New CVS snapshot

* Sat Jul 09 2005 Eskild Hustvedt <eskild@mandriva.org> 0.9.7.1-0.20050708cvs1mdk
- New CVS snapshot

* Mon Jun 20 2005 Eskild Hustvedt <eskild@mandriva.org> 0.9.7.1-0.20050619cvs-1mdk
- New CVS snapshot
	- Should fix the playlist refresh bug

* Tue Jun 14 2005 Eskild Hustvedt <eskild@mandriva.org> 0.9.7.1-0.20050613cvs-1mdk
- New CVS snapshot
	- The old skin (non-free skin) has been removed (if you somehow liked that thing
	  you can download it from bmp's website)

* Sat May 28 2005 Eskild Hustvedt <eskild@mandriva.org> 0.9.7.1-0.20050527cvs-1mdk
- Drop SOURCE99 (README.MDK - now generated in spec)
- New CVS snapshot
- Spec cleanups
- Drop COPYING from %%doc, it is in the common-licenses package
- Remove gnome-vfs from requires

* Sun Apr 17 2005 Eskild Hustvedt <eskild@mandriva.org> 0.9.7.1-0.20050416cvs-1mdk
- New CVS snapshot
- Updated patch1
- Drop patch3 (merged upstream)

* Mon Mar 07 2005 Eskild Hustvedt <eskild@mandrake.org> 0.9.7-6mdk
- Disable gnome-vfs support (broken)

* Mon Jan 24 2005 Götz Waschk <waschk@linux-mandrake.com> 0.9.7-5mdk
- fix devel deps

* Thu Jan 13 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.7-4mdk
- patch 3: alsa fixes

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.7-3mdk 
- Rebuild with latest howl

* Wed Dec 15 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.7-2mdk
- drop broken patch 3

* Tue Dec 14 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.7-1mdk
- rediff patch 2
- new version

* Fri Nov 19 2004 Danny Tholen <obiwan@mailmij.org> 0.9.7-0.rc2.2mdk
- patch 3 fixes broken endian check

* Wed Aug 25 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.7-0.rc2.1mdk
- new version

* Tue Aug 24 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.7-0.rc1.1mdk
- increase epoch
- rediff patch 2
- new version

* Sat Jul 17 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.7-0.20040708.1mdk
- fix file list
- new snapshot

* Thu May 27 2004 Michael Reinsch <mr@uue.org> 0.9.7-0.20040621.1mdk
- new cvs snapshot 20040621

* Thu May 27 2004 Michael Reinsch <mr@uue.org> 0.9.7-0.20040604.1mdk
- updated to cvs snapshot 20040604
- fixed source url
- autoconf stuff
- rebuild with new gcc

* Thu May 27 2004 Michael Reinsch <mr@uue.org> 0.9.7-0.20040528.1mdk
- updated to cvs snapshot 20040528

* Fri May 21 2004 Michael Reinsch <mr@uue.org> 0.9.7-0.20040520.1mdk
- updated to cvs snapshot 20040520
- removed patch 3, integrated upstream
- xmms-skin patch: use xmms dirs last, so beep skins override xmms skins

* Tue May 11 2004 Olivier Blin <blino@mandrake.org> 0.9.7-0.20040504.4mdk
- Patch3: add General plugins preferences tab (will be merged in CVS soon)

* Tue May 11 2004 Olivier Blin <blino@mandrake.org> 0.9.7-0.20040504.3mdk
- scan home dir as well for xmms skins (modified patch1)

* Tue May 11 2004 Olivier Blin <blino@mandrake.org> 0.9.7-0.20040504.2mdk
- cp rcfile.h in include dir since it isn't automatically installed
- own include and data dirs
- add Epoch in Requires/Provides

* Thu May 06 2004 Michael Reinsch <mr@uue.org> 0.9.7-0.20040504.1mdk
- new cvs snapshot

* Wed Apr 28 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.7-0.20040427.2mdk
- enable gnome-vfs support

* Wed Apr 28 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.7-0.20040427.1mdk
- new cvs snapshot
- rediff patch 2

* Sat Apr 17 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.7-0.20040410.2mdk
- fix buildrequires

* Mon Apr 12 2004 Michael Reinsch <mr@uue.org> 0.9.7-0.20040410.1mdk
- new cvs snapshot
- removed old obsoletes (package beepmp was only in cooker)
- added AB patch from xmms
- added missing docs
- separate package for esound plugin (no separate packages for OSS and ALSA
  because OSS does not need any special stuff and ALSA is standard now)

